Bug 225130

Summary: math/clasp: Update to 3.3.3
Product: Ports & Packages Reporter: Yuri Victorovich <yuri>
Component: Individual Port(s)Assignee: Vsevolod Stakhov <vsevolod>
Status: Closed FIXED    
Severity: Affects Only Me CC: thierry
Priority: --- Flags: bugzilla: maintainer-feedback? (vsevolod)
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
patch
none
patch
none
patch none

Description Yuri Victorovich freebsd_committer 2018-01-13 09:27:49 UTC
Created attachment 189679 [details]
patch
Comment 1 Yuri Victorovich freebsd_committer 2018-01-13 09:32:24 UTC
Created attachment 189680 [details]
patch
Comment 2 Yuri Victorovich freebsd_committer 2018-01-13 09:34:08 UTC
Created attachment 189681 [details]
patch
Comment 3 Vsevolod Stakhov freebsd_committer 2018-01-13 09:35:05 UTC
If we use github to download releases, why not to switch to USE_GITHUB instead?
Comment 4 Yuri Victorovich freebsd_committer 2018-01-13 09:38:16 UTC
(In reply to Vsevolod Stakhov from comment #3)

Because there is the policy that if github has tarballs, they should be preferred, unless you want to use a specific GH_TAGNAME for some reason.

Yuri
Comment 5 Vsevolod Stakhov freebsd_committer 2018-01-13 09:40:57 UTC
That's irrelevant to USE_GITHUB: you can use releases with this option as well, as there were certain problems in the past with loading of raw tarballs from github. From my point of view it is better to leave that for USE_GITHUB which should be able to use the best available method to get those tarballs.
Comment 6 Yuri Victorovich freebsd_committer 2018-01-13 09:42:48 UTC
(In reply to Vsevolod Stakhov from comment #5)

But does it really do that?
USE_GITHUB just downloads by the tagname, I think.
Comment 7 Yuri Victorovich freebsd_committer 2018-01-13 09:45:19 UTC
(In reply to Yuri Victorovich from comment #6)

For example, recently portmgr@ demanded that MASTER_SITES is kept in google-perftools instead if USE_GITHUB.

https://reviews.freebsd.org/D13750
Comment 8 Yuri Victorovich freebsd_committer 2018-01-13 09:46:35 UTC
(In reply to Yuri Victorovich from comment #7)

portmgr@: Why did you not use the released tarball and switched to using a git archive? Unless there is a bug in the released tarball, it goes against our policy to always try and use the tarballs that project release.
Comment 9 Yuri Victorovich freebsd_committer 2018-02-24 19:42:50 UTC
(In reply to Yuri Victorovich from comment #8)

Sourceforge seems broken. A lot of this:
=> Attempting to fetch http://superb-dca2.dl.sourceforge.net/project/potassco/clasp/3.3.3/clasp-3.3.3-source.tar.gz
fetch: http://superb-dca2.dl.sourceforge.net/project/potassco/clasp/3.3.3/clasp-3.3.3-source.tar.gz: Not Found
=> Attempting to fetch http://superb-sea2.dl.sourceforge.net/project/potassco/clasp/3.3.3/clasp-3.3.3-source.tar.gz
fetch: http://superb-sea2.dl.sourceforge.net/project/potassco/clasp/3.3.3/clasp-3.3.3-source.tar.gz: Not Found

Same for many other projects.

I will update using USE_GITHUB.
Comment 10 Thierry Thomas freebsd_committer 2020-06-19 13:03:05 UTC
Upstream is now at 3.3.5 since 23 Aug 2019:
https://github.com/potassco/clasp/releases

Is there anything blocking this upgrade?
Comment 11 commit-hook freebsd_committer 2020-06-19 14:02:22 UTC
A commit references this bug:

Author: vsevolod
Date: Fri Jun 19 14:02:11 UTC 2020
New revision: 539611
URL: https://svnweb.freebsd.org/changeset/ports/539611

Log:
  - Update to 3.3.5
  - Convert to USE_GITHUB
  - Add libpotassco submodule
  - Add license

  PR:	225130
  Reported by:	yuri

Changes:
  head/math/clasp/Makefile
  head/math/clasp/distinfo
Comment 12 Vsevolod Stakhov freebsd_committer 2020-06-19 14:03:44 UTC
I have reworked this port to use github. Libpotassco is still not installed as I'm not sure if it is used by anything else.